socket_listen(3)

NAME
socket_listen - attempt to make a TCP connection

SYNTAX
#include <socket.h> int socket_listen(int s,int n);

DESCRIPTION
socket_listen prepares TCP socket s to accept TCP connections. It allows a backlog of approximately n TCP SYNs. (On systems supporting SYN cookies, the backlog is irrelevant.) Normally socket_listen returns 0. If anything goes wrong, socket_listen returns -1, setting errno appropriately.

EXAMPLE
  #include <socket.h>
  int s;
  char ip[16];
  uint16 p;
  if ((s=socket_tcp6())==-1)
    strerr_die2sys(111,FATAL,"unable to create TCP socket: ");
  if (socket_bind6_reuse(s,(char *)V6any,8002,0) == -1)
    strerr_die2sys(111,FATAL,"unable to bind: ");
  if (socket_listen(s,1) == -1)
    strerr_die2sys(111,FATAL,"unable to listen: ");

SEE ALSO
socket_connect4(3), socket_connect6(3)